<template>
  <div class="wrap">
      <button @click="changeData">改变</button>
    {{obj.objMsg}}
  </div>
</template>

<script>
// 将父组件中的数据包装成对象传递给子组件
export default {
  name: 'Child4',
  props: {
      obj:{
          type:Object
      }
  },
  methods: {
    changeData(){
        this.obj.objMsg='改变了objMsg'
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
